# Query String

{% hint style="info" %}
To use the Web SDK please [install ](/how-to-install.md)the snippet first.
{% endhint %}

| Query String               | Scope        | Description                                         | Example                                                                                                           | Values                                                                                                     |
| -------------------------- | ------------ | --------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------- |
| `gc_email`                 | USER         | Passes user email to GetComplied                    | `?gc_email=user@email.com`                                                                                        | string                                                                                                     |
| `gc_birthdate_day`         | USER         | Passes user birthdate day to GetComplied            | `?gc_birthdate_day=1`                                                                                             | int                                                                                                        |
| `gc_birthdate_month`       | USER         | Passes user birthdate month to GetComplied          | `?gc_birthdate_month=1`                                                                                           | int                                                                                                        |
| `gc_birthdate_year`        | USER         | Passes user birthdate year to GetComplied           | `?gc_birthdate_year=1990`                                                                                         | int                                                                                                        |
| `gc_callingcode`           | USER         | Passes user calling code to GetComplied             | `?gc_callingcode=+351`                                                                                            | string ("+1", "+1-242", "+351" ...)                                                                        |
| `gc_countrycode`           | USER         | Passes user country to GetComplied                  | `?gc_countrycode=PT`                                                                                              | string ("US", "PT", "GB" ...)                                                                              |
| `gc_gender`                | USER         | Passes user gender to GetComplied                   | `?gc_gender=0`                                                                                                    | int (0 - Male, 1 - Female, 2 - Other)                                                                      |
| `gc_addressline1`          | USER         | Passes user address to GetComplied                  | `?gc_addressline1=Address Line 1`                                                                                 | string                                                                                                     |
| `gc_addressline2`          | USER         | Passes user address to GetComplied                  | `?gc_addressline2=Address Line 2`                                                                                 | string                                                                                                     |
| `gc_city`                  | USER         | Passes user city to GetComplied                     | `?gc_city=City`                                                                                                   | string                                                                                                     |
| `gc_zipcode`               | USER         | Passes user zip code to GetComplied                 | `?gc_zipcode=1000-000`                                                                                            | string                                                                                                     |
| `gc_phonenumber`           | USER         | Passes user phone number to GetComplied             | `?gc_phonenumber=912345678`                                                                                       | string                                                                                                     |
| `gc_businessemail`         | USER         | Passes user business email to GetComplied           | `?gc_businessemail=user@businessemail.com`                                                                        | string                                                                                                     |
| `gc_customid`              | USER         | Passes user custom id to GetComplied                | `?gc_customid=1`                                                                                                  | string (max length: 256)                                                                                   |
| `gc_name`                  | USER         | Passes user name to GetComplied                     | `?gc_name=firstlastname`                                                                                          | string                                                                                                     |
| `gc_show`                  | Modal        | Forces the modal to open                            | <p><code>?gc\_show=true</code> <br><a href="http://demo.getcomplied.com/?gc_show=true">View Example</a></p>       | bool                                                                                                       |
| `gc_lang`                  | Modal / FORM | Forces the popup to open in a certain language      | <p><code>?gc\_lang=en-GB</code><br><a href="http://demo.getcomplied.com/?gc_lang=en-GB">View Example</a></p>      | language code ("en-GB", "pt-PT"...)                                                                        |
| `gc_view_id`               | Modal        | Opens a specific resource by ID                     | <p><code>?gc\_view\_id=119</code><br><a href="http://demo.getcomplied.com/?gc_view_id=119">View Example</a></p>   | int                                                                                                        |
| `gc_view_index`            | Modal        | Opens a specific resource by Index                  | <p><code>?gc\_view\_index=1</code><br><a href="http://demo.getcomplied.com/?gc_view_index=1">View Example</a></p> | int                                                                                                        |
| `gc_view`                  | Modal        | Opens a specific static view                        | `?gc_view=languages`                                                                                              | <p>languages<br>contactdpo<br>thirdparties<br>cookies<br>edit<br>accessdata<br>movedata<br>beforgotten</p> |
| `gc_form_offer_title`      | FORM         | Passes the offer title to form                      | `?gc_form_offer_title=abc%20leitura`                                                                              | string (max length: 1020)                                                                                  |
| `gc_form_offer_id`         | FORM         | Passes the offer Id                                 | `?gc_form_offer_id=abc123`                                                                                        | string (max length: 125)                                                                                   |
| `gc_form_logoshow`         | FORM         | Show or hide form logo                              | `?gc_form_logoshow=true`                                                                                          | bool                                                                                                       |
| `gc_form_logo`             | FORM         | Change the logo of the form by the introduced one   | `?gc_form_logo=http://..`                                                                                         | string (max length: 1024)                                                                                  |
| `gc_form_title`            | FORM         | Change the title pre-defined by this new            | `?gc_form_title=abc123`                                                                                           | string (max length: 1024)                                                                                  |
| `gc_form_subtitle`         | FORM         | Change the subtitle pre-defined by this new         | `?gc_form_subtitle=abc123`                                                                                        | string (max length: 1024)                                                                                  |
| `gc_form_attachment_title` | FORM         | Change the attachment title pre-defined by this new | `?gc_form_attachment_title=Report`                                                                                | string (max length: 1024)                                                                                  |
| `gc_form_comment_title`    | FORM         | Change the comment title pre-defined by this new    | `?gc_form_comment_title=Suggestions`                                                                              | string (max length: 1024)                                                                                  |
| `gc_form_comment_subtitle` | FORM         | Change the comment subtitle pre-defined by this new | `?gc_form_comment_subtitle=Leave some suggestions here`                                                           | string (max length: 1024)                                                                                  |
| `gc_form_firstname`        | FORM         | Passes user first name to form                      | `?gc_form_firstname=firstname`                                                                                    | string                                                                                                     |
| `gc_form_last`             | FORM         | Passes user last name to form                       | `?gc_form_last=lastname`                                                                                          | string                                                                                                     |
| `gc_form_email`            | FORM         | Passes user email to form                           | `?gc_form_email=user@email.com`                                                                                   | string                                                                                                     |
| `gc_form_businessemail`    | FORM         | Passes user business email to form                  | `?gc_form_businessemail=user@businessemail.com`                                                                   | string                                                                                                     |
| `gc_form_callingcode`      | FORM         | Passes user calling code to form                    | ?gc\_form\_callingcode=+351                                                                                       | string ("+1", "+1-242", "+351" ...)                                                                        |
| `gc_form_phonenumber`      | FORM         | Passes user phone number to form                    | ?gc\_form\_phonenumber=912345678                                                                                  | string                                                                                                     |
| `gc_form_addressline1`     | FORM         | Passes user address to form                         | ?gc\_form\_addressline1=Address Line 1                                                                            | string                                                                                                     |
| `gc_form_addressline2`     | FORM         | Passes user address to form                         | ?gc\_form\_addressline2=Address Line 2                                                                            | string                                                                                                     |
| `gc_form_countrycode`      | FORM         | Passes user country to form                         | ?gc\_form\_countrycode=PT                                                                                         | string ("US", "PT", "GB" ...)                                                                              |
| `gc_form_city`             | FORM         | Passes user city to form                            | ?gc\_form\_city=City                                                                                              | string                                                                                                     |
| `gc_form_zipcode`          | FORM         | Passes user zip code to form                        | ?gc\_form\_zipcode=1000-000                                                                                       | string                                                                                                     |
| gc\_form\_region           | FORM         | Passes user custom id to GetComplied                | ?gc\_form\_region=algarve                                                                                         | string (max length: 256)                                                                                   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.getcomplied.com/web-sdk/untitled.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
